Debian Bug report logs - #622058
gentoo: FTBFS: cmd_chown.c:87:2: error: implicit declaration of function 'gtk_combo_box_get_active_text'

version graph

Package: src:gentoo; Maintainer for src:gentoo is Innocent De Marchi <tangram.peces@gmail.com>;

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Sun, 10 Apr 2011 04:50:02 UTC

Severity: serious

Tags: sid, wheezy

Found in version gentoo/0.19.9-1

Fixed in version gentoo/0.19.10-1

Done: Innocent De Marchi <tangram.peces@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Innocent De Marchi <tangram.peces@gmail.com>:
Bug#622058; Package src:gentoo. (Sun, 10 Apr 2011 04:50:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Innocent De Marchi <tangram.peces@gmail.com>. (Sun, 10 Apr 2011 04:50:53 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: gentoo: FTBFS: cmd_chown.c:87:2: error: implicit declaration of function 'gtk_combo_box_get_active_text'
Date: Sat, 9 Apr 2011 13:59:50 +0200
Source: gentoo
Version: 0.19.9-1
Severity: serious
Tags: wheezy sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20110408 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
> gcc -DHAVE_CONFIG_H -I. -I..     -Wall -Wmissing-declarations -Wmissing-prototypes -Wstrict-prototypes -Werror-implicit-function-declaration -pthread -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/pango-1.0 -I/usr/include/gio-unix-2.0/ -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12   -I../widgets -DPATH_CFG=\"/etc\" -DPATH_GRC=\"$HOME/\" -DPATH_ICN=\"/usr/share/gentoo/icons\" -DLOCALEDIR=\"/usr/share/locale\" -c cmd_chown.c
> cmd_chown.c: In function 'get_own':
> cmd_chown.c:87:2: error: implicit declaration of function 'gtk_combo_box_get_active_text'
> cmd_chown.c:87:11: warning: assignment makes pointer from integer without a cast
> cmd_chown.c:93:12: warning: assignment makes pointer from integer without a cast
> cmd_chown.c: In function 'cmd_chown':
> cmd_chown.c:193:3: error: implicit declaration of function 'gtk_combo_box_entry_new_text'
> cmd_chown.c:193:20: warning: assignment makes pointer from integer without a cast
> cmd_chown.c:196:4: error: implicit declaration of function 'gtk_combo_box_append_text'
> make[3]: *** [cmd_chown.o] Error 1

The full build log is available from:
   http://people.debian.org/~lucas/logs/2011/04/08/gentoo_0.19.9-1_lsid64.buildlog

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.

-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#622058; Package src:gentoo. (Sun, 10 Apr 2011 17:41:43 GMT) Full text and rfc822 format available.

Acknowledgement sent to Innocent De Marchi <tangram.peces@gmail.com>:
Extra info received and forwarded to list. (Sun, 10 Apr 2011 17:41:44 GMT) Full text and rfc822 format available.

Message #10 received at 622058@bugs.debian.org (full text, mbox):

From: Innocent De Marchi <tangram.peces@gmail.com>
To: 622058@bugs.debian.org, lucas@lucas-nussbaum.net
Subject: Re: Bug#622058: gentoo: FTBFS: cmd_chown.c:87:2: error: implicit declaration of function 'gtk_combo_box_get_active_text'
Date: Sun, 10 Apr 2011 19:15:30 +0200
[Message part 1 (text/plain, inline)]
Hi Lucas,


>
> During a rebuild of all packages in sid, your package failed to build on
> amd64.
>

If an error occurs. Gentoo source code is not made with the new version of
GTK +
I informed the upstream source code to make migration to the new version of
GTK+: It seems to be making several changes to the source code.

Thanks!

I. De Marchi
[Message part 2 (text/html, inline)]

Reply sent to Innocent De Marchi <tangram.peces@gmail.com>:
You have taken responsibility. (Fri, 01 Jul 2011 15:06:08 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Fri, 01 Jul 2011 15:06:08 GMT) Full text and rfc822 format available.

Message #15 received at 622058-close@bugs.debian.org (full text, mbox):

From: Innocent De Marchi <tangram.peces@gmail.com>
To: 622058-close@bugs.debian.org
Subject: Bug#622058: fixed in gentoo 0.19.10-1
Date: Fri, 01 Jul 2011 15:02:12 +0000
Source: gentoo
Source-Version: 0.19.10-1

We believe that the bug you reported is fixed in the latest version of
gentoo, which is due to be installed in the Debian FTP archive:

gentoo_0.19.10-1.debian.tar.gz
  to main/g/gentoo/gentoo_0.19.10-1.debian.tar.gz
gentoo_0.19.10-1.dsc
  to main/g/gentoo/gentoo_0.19.10-1.dsc
gentoo_0.19.10-1_i386.deb
  to main/g/gentoo/gentoo_0.19.10-1_i386.deb
gentoo_0.19.10.orig.tar.gz
  to main/g/gentoo/gentoo_0.19.10.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 622058@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Innocent De Marchi <tangram.peces@gmail.com> (supplier of updated gentoo package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 21 Jun 2011 18:23:15 +0100
Source: gentoo
Binary: gentoo
Architecture: source i386
Version: 0.19.10-1
Distribution: unstable
Urgency: low
Maintainer: Innocent De Marchi <tangram.peces@gmail.com>
Changed-By: Innocent De Marchi <tangram.peces@gmail.com>
Description: 
 gentoo     - fully GUI-configurable, two-pane X file manager
Closes: 619145 622058 623855
Changes: 
 gentoo (0.19.10-1) unstable; urgency=low
 .
   * New upstream release (Closes: #622058).
   * Spellchecking the package description
     in debian/control: thanks to Justin B Rye.
     (Closes: #623855).
   * Update to Standard-Version 3.9.2
     (no changes required).
   * Add debian/patches/change-config-directory-files.patch.
     Update explanation of the default location of
     configuration files in the manpage (Closes: #619145).
Checksums-Sha1: 
 d0ed3473dfc4f0a2407b190d35c69c2e2a911fb9 1706 gentoo_0.19.10-1.dsc
 f4ce0de8d952e28a714c95e195789ebf82d455ab 1530682 gentoo_0.19.10.orig.tar.gz
 76415e82e0d7000f47ae6990e8c646d0433716b5 8311 gentoo_0.19.10-1.debian.tar.gz
 dcf7a46a089f87601023580d07fa17d5e5093d40 747770 gentoo_0.19.10-1_i386.deb
Checksums-Sha256: 
 217c4612080743235fa99bcce99cf86d7475c4d310a8f41161b34e44127c2bb7 1706 gentoo_0.19.10-1.dsc
 c0e5e0be1f8cc742d982eacf93824eba65e4ba3874850ab8d338759358c6208b 1530682 gentoo_0.19.10.orig.tar.gz
 d1029c3cdbfdd1c461dca5ec1e182eef0034e5356fd7aa8f0d9d7ad6ffbec570 8311 gentoo_0.19.10-1.debian.tar.gz
 2687489df0048c1a25eb9badf698c7dfa00cda4fc37a2bb64a09fc9ac57e9efe 747770 gentoo_0.19.10-1_i386.deb
Files: 
 cab1cab361c98c4198fb9844d2f7144a 1706 x11 optional gentoo_0.19.10-1.dsc
 1f48bc99d56a722cbbd0c2077ef651de 1530682 x11 optional gentoo_0.19.10.orig.tar.gz
 d867b01efe419bb4696266b06b297979 8311 x11 optional gentoo_0.19.10-1.debian.tar.gz
 bf1bb5ae0131d12d9499cabd76ab578c 747770 x11 optional gentoo_0.19.10-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJODd0oAAoJEKbcJNnaJJPRrvoQALoq9acMaUr68vyQqlamqPGP
tCTvkvwOLNSMTgwknJS8bekTW4MButXNlpYOSaiMXbuE3Ad0ctJXOP05qHLwvRZF
+xYHeloHq8egIqXvzcBraXkv1bMR0pOJpp0u6v/Q8BAxohpnaAvmUcr31X2+teCj
Y/wIa3YxdmeWLHFI7i9DYystidwViDpjoXE2YQNqbCE1R+PHnJCzT6xckMH7VxlW
gK3Qx4iL1NEoYwqrZKs85BPEmSsf9PY8ysmjCdNACQUFAIE8qyP5a5EHc8zrKKUo
kVKybE+snRaBGlz+dqXR8CwB6C9QOdY/qyBhYnVxe3RPW3ydvrvxwmpHN1hOR5Aq
wSq7JZy8/YjYG1FQ60Oi92bEuMq3IgWBT3iSHDgJ9n2QoUtn2NETd1Z0XqCVTZUd
AjMKjcEyWa9EihzIJ8x5Zcfatt0id9AeZBa3Nt2i2ciydTcb0vCfNMrK+S5LewLa
x5p/8VFUy8cnRwW+SoE9CMu8z349OZf33uSGDZnEoOzrzyDsAOIWiOYSBzj0ZPMp
3qCDInTrhYx1qEmtm2cBw19Ci2JA1WFYgAIX8J9VHSxZawNnMW4fwnjJpXwgpJgS
Uq1cOd9ZEUo0oXgBnRIueZDvDdJLIq8KQkjWlTnPu/INtuwYsyyAjsaTipu6wfHw
EaeiS206/Kv4ETc1A5SN
=lMp1
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 30 Jul 2011 07:36:41 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 08:10:18 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.